package converters;

import java.text.NumberFormat;
import java.text.ParseException;
import java.util.Currency;
import java.util.Locale;



public class CurrencyConverterBean {

    private double exchangeRate = 0.613;
    private Currency dollars = Currency.getInstance(Locale.US);
    private Currency pounds = Currency.getInstance(Locale.UK);
    private NumberFormat nf = NumberFormat.getInstance();
    private String amount;

    public CurrencyConverterBean() {
    }

	public void setAmount (String amount){
	    this.amount = amount;
	}

	public String getAmount () {
	    return amount+dollars.getSymbol(Locale.US) ;
	}

	public void setExchangeRate (double exchangeRate){
	    this.exchangeRate = exchangeRate;
	}

	public double getExchangeRate (){
	    return exchangeRate;
	}

	//
	public String getPoundValue(){
	    try {
			double newValue = nf.parse(amount).doubleValue();
			newValue *= exchangeRate ;
			nf.setMaximumFractionDigits(pounds.getDefaultFractionDigits());
			nf.setMinimumFractionDigits(pounds.getDefaultFractionDigits());
			return  nf.format(newValue)+pounds.getSymbol(Locale.UK);
		}
	    catch (ParseException e) {
		    return ("Helytelen szam");
	    }
    }
}
